import os, requests# Set API key ENV variable or replace with your own API keyAPI_KEY = os.getenv("AIORNOT_API_KEY")TEXT_ENDPOINT = "https://api.aiornot.com/v2/text/sync"data = { "text": "Your text content to analyze goes here..."}resp = requests.post( TEXT_ENDPOINT, headers={"Authorization": f"Bearer {API_KEY}"}, data=data, params={ "include_annotations": True, # Optional: Include block-level annotations "external_id": "my-tracking-id" # Optional: External tracking ID })resp.raise_for_status()print(resp.json())
curl --request POST \
--url 'https://api.aiornot.com/v2/text/sync?include_annotations=true&external_id=my-tracking-id' \
--header 'Authorization: Bearer $AIORNOT_API_KEY' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'text=Your text content to analyze goes here...'
const fetch = require('node-fetch');
const querystring = require('querystring');
const API_KEY = process.env.AIORNOT_API_KEY;
const TEXT_ENDPOINT = 'https://api.aiornot.com/v2/text/sync';
const data = querystring.stringify({
text: 'Your text content to analyze goes here...'
});
const params = new URLSearchParams({
include_annotations: 'true', // Optional: Include block-level annotations
external_id: 'my-tracking-id' // Optional: External tracking ID
});
fetch(`${TEXT_ENDPOINT}?${params}`, {
method: 'POST',
headers: {
'Authorization': `Bearer ${API_KEY}`,
'Content-Type': 'application/x-www-form-urlencoded'
},
body: data
})
.then(response => {
if (!response.ok) {
throw new Error(`Failed to analyze text: ${response.status} ${response.statusText}`);
}
return response.json();
})
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
Analyze text to determine if it was generated by AI.
This endpoint analyzes text content and returns confidence scores for AI detection.
Text Processing Limits:
Minimum Text Length: 250 characters
Maximum Text Length: 500,000 characters (500KB)
Minimum Words: Approximately 64 words
POST
/
v2
/
text
/
sync
Python
import os, requests# Set API key ENV variable or replace with your own API keyAPI_KEY = os.getenv("AIORNOT_API_KEY")TEXT_ENDPOINT = "https://api.aiornot.com/v2/text/sync"data = { "text": "Your text content to analyze goes here..."}resp = requests.post( TEXT_ENDPOINT, headers={"Authorization": f"Bearer {API_KEY}"}, data=data, params={ "include_annotations": True, # Optional: Include block-level annotations "external_id": "my-tracking-id" # Optional: External tracking ID })resp.raise_for_status()print(resp.json())
curl --request POST \
--url 'https://api.aiornot.com/v2/text/sync?include_annotations=true&external_id=my-tracking-id' \
--header 'Authorization: Bearer $AIORNOT_API_KEY' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'text=Your text content to analyze goes here...'
const fetch = require('node-fetch');
const querystring = require('querystring');
const API_KEY = process.env.AIORNOT_API_KEY;
const TEXT_ENDPOINT = 'https://api.aiornot.com/v2/text/sync';
const data = querystring.stringify({
text: 'Your text content to analyze goes here...'
});
const params = new URLSearchParams({
include_annotations: 'true', // Optional: Include block-level annotations
external_id: 'my-tracking-id' // Optional: External tracking ID
});
fetch(`${TEXT_ENDPOINT}?${params}`, {
method: 'POST',
headers: {
'Authorization': `Bearer ${API_KEY}`,
'Content-Type': 'application/x-www-form-urlencoded'
},
body: data
})
.then(response => {
if (!response.ok) {
throw new Error(`Failed to analyze text: ${response.status} ${response.statusText}`);
}
return response.json();
})
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
The external identifier provided in the request, if any
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"AI or Not API Documentation","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/aiornot-677ee7a7/TLiPE1QJOXxnQ_DE/logo/light.svg?fit=max\u0026auto=format\u0026n=TLiPE1QJOXxnQ_DE\u0026q=85\u0026s=5035e3659fc07e474796f5698ac2d0aa","dark":"https://mintcdn.com/aiornot-677ee7a7/TLiPE1QJOXxnQ_DE/logo/dark.svg?fit=max\u0026auto=format\u0026n=TLiPE1QJOXxnQ_DE\u0026q=85\u0026s=37a8f7400e89168ef0b9bd1a76228940"},"favicon":"/favicon.svg","navbar":{"links":[{"href":"mailto:support@aiornot.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://aiornot.com/dashboard/home"}},"footer":{"socials":{"x":"https://x.com/AI_or_Not","github":"https://github.com/aiornotinc"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"aiornot-677ee7a7","hasAudioNarration":false,"actualSubdomain":"aiornot-677ee7a7","customDomains":["docs.aiornot.com"],"gitSource":{"type":"github","owner":"aiornotinc","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c8a09ed4714925183be0","collectionId":"530eca37-47f0-41c9-bf27-d52255afbdbb","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae927fb74f093f560e5d62e:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":6},{"language":"default","tag":"Reports by Modality","count":5},{"language":"default","tag":"Guides","count":3},{"language":"default","tag":"Get Started","count":3},{"language":"default","tag":"SYSTEM MANAGEMENT","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/reports-by-modality/text","slug":"/api-reference/reports-by-modality/text","pageMetadata":{"title":"Text","description":"Analyze **text** to determine if it was generated by AI.\n\nThis endpoint analyzes text content and returns confidence scores for AI detection.\n\n**Text Processing Limits:**\n- **Minimum Text Length:** 250 characters\n- **Maximum Text Length:** 500,000 characters (500KB)\n- **Minimum Words**: Approximately 64 words","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v2/text/sync","href":"/api-reference/reports-by-modality/text","autogeneratedByOpenApi":true,"hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Analyze \", _jsx(_components.strong, {\n children: \"text\"\n }), \" to determine if it was generated by AI.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"This endpoint analyzes text content and returns confidence scores for AI detection.\"\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Text Processing Limits:\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"Minimum Text Length:\"\n }), \" 250 characters\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"Maximum Text Length:\"\n }), \" 500,000 characters (500KB)\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"Minimum Words\"\n }), \": Approximately 64 words\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Text","description":"Analyze **text** to determine if it was generated by AI.\n\nThis endpoint analyzes text content and returns confidence scores for AI detection.\n\n**Text Processing Limits:**\n- **Minimum Text Length:** 250 characters\n- **Maximum Text Length:** 500,000 characters (500KB)\n- **Minimum Words**: Approximately 64 words","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v2/text/sync","href":"/api-reference/reports-by-modality/text","autogeneratedByOpenApi":true,"hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Reports by Modality"],"summary":"Text","description":"Analyze **text** to determine if it was generated by AI.\n\nThis endpoint analyzes text content and returns confidence scores for AI detection.\n\n**Text Processing Limits:**\n- **Minimum Text Length:** 250 characters\n- **Maximum Text Length:** 500,000 characters (500KB)\n- **Minimum Words**: Approximately 64 words","operationId":"get_text_report_text_sync_post","parameters":["3e8b3c4a-1bb0-4a4d-bf86-a7be09b60dee","1aa1882f-98da-425d-985b-f1dc6ad1f5ac"],"x-codeSamples":[{"lang":"python","label":"Python","source":"import os, requests\n\n\n# Set API key ENV variable or replace with your own API key\nAPI_KEY = os.getenv(\"AIORNOT_API_KEY\")\nTEXT_ENDPOINT = \"https://api.aiornot.com/v2/text/sync\"\n\ndata = {\n \"text\": \"Your text content to analyze goes here...\"\n}\n\nresp = requests.post(\n TEXT_ENDPOINT,\n headers={\"Authorization\": f\"Bearer {API_KEY}\"},\n data=data,\n params={\n \"include_annotations\": True, # Optional: Include block-level annotations\n \"external_id\": \"my-tracking-id\" # Optional: External tracking ID\n }\n)\nresp.raise_for_status()\nprint(resp.json())\n"},{"lang":"curl","label":"cURL","source":"curl --request POST \\\n --url 'https://api.aiornot.com/v2/text/sync?include_annotations=true\u0026external_id=my-tracking-id' \\\n --header 'Authorization: Bearer $AIORNOT_API_KEY' \\\n --header 'Content-Type: application/x-www-form-urlencoded' \\\n --data 'text=Your text content to analyze goes here...'\n"},{"lang":"javascript","label":"JavaScript","source":"const fetch = require('node-fetch');\nconst querystring = require('querystring');\n\nconst API_KEY = process.env.AIORNOT_API_KEY;\nconst TEXT_ENDPOINT = 'https://api.aiornot.com/v2/text/sync';\n\nconst data = querystring.stringify({\n text: 'Your text content to analyze goes here...'\n});\n\nconst params = new URLSearchParams({\n include_annotations: 'true', // Optional: Include block-level annotations\n external_id: 'my-tracking-id' // Optional: External tracking ID\n});\n\nfetch(`${TEXT_ENDPOINT}?${params}`, {\n method: 'POST',\n headers: {\n 'Authorization': `Bearer ${API_KEY}`,\n 'Content-Type': 'application/x-www-form-urlencoded'\n },\n body: data\n})\n .then(response => {\n if (!response.ok) {\n throw new Error(`Failed to analyze text: ${response.status} ${response.statusText}`);\n }\n return response.json();\n })\n .then(data => console.log(data))\n .catch(error => console.error('Error:', error));\n"},{"lang":"php","label":"PHP","source":"\u003c?php\n\n$API_KEY = getenv('AIORNOT_API_KEY');\n$TEXT_ENDPOINT = 'https://api.aiornot.com/v2/text/sync';\n\n$curl = curl_init();\n\n$data = [\n 'text' => 'Your text content to analyze goes here...'\n];\n\n$query_params = http_build_query([\n 'include_annotations' => 'true', // Optional: Include block-level annotations\n 'external_id' => 'my-tracking-id' // Optional: External tracking ID\n]);\n\ncurl_setopt_array($curl, [\n CURLOPT_URL => $TEXT_ENDPOINT . '?' . $query_params,\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_POST => true,\n CURLOPT_POSTFIELDS => http_build_query($data),\n CURLOPT_HTTPHEADER => [\n \"Authorization: Bearer $API_KEY\",\n \"Content-Type: application/x-www-form-urlencoded\"\n ],\n]);\n\n$response = curl_exec($curl);\n$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n echo \"cURL Error #:\" . $err;\n} elseif ($httpCode !== 200) {\n echo \"Failed to analyze text: HTTP $httpCode - $response\";\n} else {\n $data = json_decode($response, true);\n print_r($data);\n}\n"},{"lang":"go","label":"Go","source":"package main\n\nimport (\n \"fmt\"\n \"io/ioutil\"\n \"net/http\"\n \"net/url\"\n \"os\"\n \"strings\"\n)\n\nfunc main() {\n APIKey := os.Getenv(\"AIORNOT_API_KEY\")\n textEndpoint := \"https://api.aiornot.com/v2/text/sync\"\n\n data := url.Values{}\n data.Set(\"text\", \"Your text content to analyze goes here...\")\n\n params := url.Values{}\n params.Set(\"include_annotations\", \"true\") // Optional: Include block-level annotations\n params.Set(\"external_id\", \"my-tracking-id\") // Optional: External tracking ID\n\n fullURL := textEndpoint + \"?\" + params.Encode()\n\n req, err := http.NewRequest(\"POST\", fullURL, strings.NewReader(data.Encode()))\n if err != nil {\n panic(err)\n }\n\n req.Header.Set(\"Authorization\", \"Bearer \"+APIKey)\n req.Header.Set(\"Content-Type\", \"application/x-www-form-urlencoded\")\n\n client := \u0026http.Client{}\n resp, err := client.Do(req)\n if err != nil {\n panic(err)\n }\n defer resp.Body.Close()\n\n body, err := ioutil.ReadAll(resp.Body)\n if err != nil {\n panic(err)\n }\n\n if resp.StatusCode != 200 {\n fmt.Printf(\"Failed to analyze text: %d %s\\n\", resp.StatusCode, string(body))\n return\n }\n\n fmt.Println(string(body))\n}\n"},{"lang":"java","label":"Java","source":"import java.io.IOException;\nimport okhttp3.*;\n\npublic class TextAnalysis {\n public static void main(String[] args) {\n String apiKey = System.getenv(\"AIORNOT_API_KEY\");\n String textEndpoint = \"https://api.aiornot.com/v2/text/sync\";\n \n OkHttpClient client = new OkHttpClient();\n \n RequestBody formBody = new FormBody.Builder()\n .add(\"text\", \"Your text content to analyze goes here...\")\n .build();\n \n HttpUrl url = HttpUrl.parse(textEndpoint).newBuilder()\n .addQueryParameter(\"include_annotations\", \"true\") // Optional: Include block-level annotations\n .addQueryParameter(\"external_id\", \"my-tracking-id\") // Optional: External tracking ID\n .build();\n \n Request request = new Request.Builder()\n .url(url)\n .header(\"Authorization\", \"Bearer \" + apiKey)\n .post(formBody)\n .build();\n \n try {\n Response response = client.newCall(request).execute();\n if (!response.isSuccessful()) {\n System.err.println(\"Failed to analyze text: \" + response.code() + \" \" + response.body().string());\n } else {\n System.out.println(response.body().string());\n }\n } catch (IOException e) {\n e.printStackTrace();\n }\n }\n}\n"}],"requestBody":"3c296cea-718b-4405-a263-2e0bfbe973d1","responses":{"200":"3578b45c-181e-49c8-9881-7c3fd073c2d4","422":"b5e93ef3-3e32-4a93-bd78-8ba2e65db673"},"security":["8f53bdc4-2a2d-4be5-a10c-7ae74f5729ff"],"method":"post","type":"path","servers":["98d45776-9916-4ed4-bd03-11383b3069aa"],"path":"/v2/text/sync","baseUrlOptions":["https://api.aiornot.com"],"title":"Text","codeSamples":[{"label":"Python","lang":"python","source":"import os, requests\n\n\n# Set API key ENV variable or replace with your own API key\nAPI_KEY = os.getenv(\"AIORNOT_API_KEY\")\nTEXT_ENDPOINT = \"https://api.aiornot.com/v2/text/sync\"\n\ndata = {\n \"text\": \"Your text content to analyze goes here...\"\n}\n\nresp = requests.post(\n TEXT_ENDPOINT,\n headers={\"Authorization\": f\"Bearer {API_KEY}\"},\n data=data,\n params={\n \"include_annotations\": True, # Optional: Include block-level annotations\n \"external_id\": \"my-tracking-id\" # Optional: External tracking ID\n }\n)\nresp.raise_for_status()\nprint(resp.json())\n"},{"label":"cURL","lang":"curl","source":"curl --request POST \\\n --url 'https://api.aiornot.com/v2/text/sync?include_annotations=true\u0026external_id=my-tracking-id' \\\n --header 'Authorization: Bearer $AIORNOT_API_KEY' \\\n --header 'Content-Type: application/x-www-form-urlencoded' \\\n --data 'text=Your text content to analyze goes here...'\n"},{"label":"JavaScript","lang":"javascript","source":"const fetch = require('node-fetch');\nconst querystring = require('querystring');\n\nconst API_KEY = process.env.AIORNOT_API_KEY;\nconst TEXT_ENDPOINT = 'https://api.aiornot.com/v2/text/sync';\n\nconst data = querystring.stringify({\n text: 'Your text content to analyze goes here...'\n});\n\nconst params = new URLSearchParams({\n include_annotations: 'true', // Optional: Include block-level annotations\n external_id: 'my-tracking-id' // Optional: External tracking ID\n});\n\nfetch(`${TEXT_ENDPOINT}?${params}`, {\n method: 'POST',\n headers: {\n 'Authorization': `Bearer ${API_KEY}`,\n 'Content-Type': 'application/x-www-form-urlencoded'\n },\n body: data\n})\n .then(response => {\n if (!response.ok) {\n throw new Error(`Failed to analyze text: ${response.status} ${response.statusText}`);\n }\n return response.json();\n })\n .then(data => console.log(data))\n .catch(error => console.error('Error:', error));\n"},{"label":"PHP","lang":"php","source":"\u003c?php\n\n$API_KEY = getenv('AIORNOT_API_KEY');\n$TEXT_ENDPOINT = 'https://api.aiornot.com/v2/text/sync';\n\n$curl = curl_init();\n\n$data = [\n 'text' => 'Your text content to analyze goes here...'\n];\n\n$query_params = http_build_query([\n 'include_annotations' => 'true', // Optional: Include block-level annotations\n 'external_id' => 'my-tracking-id' // Optional: External tracking ID\n]);\n\ncurl_setopt_array($curl, [\n CURLOPT_URL => $TEXT_ENDPOINT . '?' . $query_params,\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_POST => true,\n CURLOPT_POSTFIELDS => http_build_query($data),\n CURLOPT_HTTPHEADER => [\n \"Authorization: Bearer $API_KEY\",\n \"Content-Type: application/x-www-form-urlencoded\"\n ],\n]);\n\n$response = curl_exec($curl);\n$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n echo \"cURL Error #:\" . $err;\n} elseif ($httpCode !== 200) {\n echo \"Failed to analyze text: HTTP $httpCode - $response\";\n} else {\n $data = json_decode($response, true);\n print_r($data);\n}\n"},{"label":"Go","lang":"go","source":"package main\n\nimport (\n \"fmt\"\n \"io/ioutil\"\n \"net/http\"\n \"net/url\"\n \"os\"\n \"strings\"\n)\n\nfunc main() {\n APIKey := os.Getenv(\"AIORNOT_API_KEY\")\n textEndpoint := \"https://api.aiornot.com/v2/text/sync\"\n\n data := url.Values{}\n data.Set(\"text\", \"Your text content to analyze goes here...\")\n\n params := url.Values{}\n params.Set(\"include_annotations\", \"true\") // Optional: Include block-level annotations\n params.Set(\"external_id\", \"my-tracking-id\") // Optional: External tracking ID\n\n fullURL := textEndpoint + \"?\" + params.Encode()\n\n req, err := http.NewRequest(\"POST\", fullURL, strings.NewReader(data.Encode()))\n if err != nil {\n panic(err)\n }\n\n req.Header.Set(\"Authorization\", \"Bearer \"+APIKey)\n req.Header.Set(\"Content-Type\", \"application/x-www-form-urlencoded\")\n\n client := \u0026http.Client{}\n resp, err := client.Do(req)\n if err != nil {\n panic(err)\n }\n defer resp.Body.Close()\n\n body, err := ioutil.ReadAll(resp.Body)\n if err != nil {\n panic(err)\n }\n\n if resp.StatusCode != 200 {\n fmt.Printf(\"Failed to analyze text: %d %s\\n\", resp.StatusCode, string(body))\n return\n }\n\n fmt.Println(string(body))\n}\n"},{"label":"Java","lang":"java","source":"import java.io.IOException;\nimport okhttp3.*;\n\npublic class TextAnalysis {\n public static void main(String[] args) {\n String apiKey = System.getenv(\"AIORNOT_API_KEY\");\n String textEndpoint = \"https://api.aiornot.com/v2/text/sync\";\n \n OkHttpClient client = new OkHttpClient();\n \n RequestBody formBody = new FormBody.Builder()\n .add(\"text\", \"Your text content to analyze goes here...\")\n .build();\n \n HttpUrl url = HttpUrl.parse(textEndpoint).newBuilder()\n .addQueryParameter(\"include_annotations\", \"true\") // Optional: Include block-level annotations\n .addQueryParameter(\"external_id\", \"my-tracking-id\") // Optional: External tracking ID\n .build();\n \n Request request = new Request.Builder()\n .url(url)\n .header(\"Authorization\", \"Bearer \" + apiKey)\n .post(formBody)\n .build();\n \n try {\n Response response = client.newCall(request).execute();\n if (!response.isSuccessful()) {\n System.err.println(\"Failed to analyze text: \" + response.code() + \" \" + response.body().string());\n } else {\n System.out.println(response.body().string());\n }\n } catch (IOException e) {\n e.printStackTrace();\n }\n }\n}\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"3e8b3c4a-1bb0-4a4d-bf86-a7be09b60dee":{"name":"external_id","in":"query","description":"An optional external identifier for tracking this text analysis","required":false,"schema":{"oneOf":[{"type":"string","description":"An optional external identifier for tracking this text analysis","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"An optional external identifier for tracking this text analysis","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"1aa1882f-98da-425d-985b-f1dc6ad1f5ac":{"name":"include_annotations","in":"query","description":"Include block-level AI detection annotations in the response","required":false,"schema":{"type":"boolean","default":false,"isRequired":false,"description":"Include block-level AI detection annotations in the response","uniqueKey":"","typeLabel":"boolean"}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"text":{"type":"string","title":"Text","description":"The text content to analyze for AI generation (minimum 250 characters, maximum 500,000 characters)","minLength":250,"maxLength":500000,"isRequired":true,"uniqueKey":"text","typeLabel":"string"}},"required":["text"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"text":"\u003cstring>"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"3578b45c-181e-49c8-9881-7c3fd073c2d4":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"Unique identifier associated with the request","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"report":{"type":"object","properties":{"ai_text":{"properties":{"confidence":{"type":"number","title":"Confidence","description":"Confidence score for AI-generated text detection","minimum":0,"maximum":1,"example":0.95,"isRequired":true,"uniqueKey":"report.ai_text.confidence","typeLabel":"number"},"is_detected":{"type":"boolean","title":"Is Detected","description":"Whether AI-generated text was detected","isRequired":true,"uniqueKey":"report.ai_text.is_detected","typeLabel":"boolean"},"annotations":{"type":"array","title":"Annotations","description":"Block-level AI detection results (only included when include_annotations=true)","items":{"type":"array","minItems":2,"maxItems":2,"items":{"oneOf":[{"0":{"type":"string","description":"Text block"},"1":{"type":"number","description":"Confidence score for this block","minimum":0,"maximum":1}}],"uniqueKey":"report.ai_text.annotations.items.[INDEX].items.[INDEX]","typeLabel":"any"},"uniqueKey":"report.ai_text.annotations.items.[INDEX]","typeLabel":"any[]"},"example":[["This is the first block of text.",0.9999],["This is the second block of text.",0.0012]],"uniqueKey":"report.ai_text.annotations","typeLabel":"any[][]"}},"type":"object","required":["confidence","is_detected"],"title":"AITextReportScheme","isRequired":true,"uniqueKey":"report.ai_text","typeLabel":"AITextReportScheme · object"}},"required":["ai_text"],"isRequired":true,"uniqueKey":"report","typeLabel":"object"},"metadata":{"properties":{"word_count":{"type":"integer","title":"Word Count","description":"Number of words in the analyzed text","example":150,"isRequired":true,"uniqueKey":"metadata.word_count","typeLabel":"integer"},"character_count":{"type":"integer","title":"Character Count","description":"Number of characters in the analyzed text","example":750,"isRequired":true,"uniqueKey":"metadata.character_count","typeLabel":"integer"},"token_count":{"type":"integer","title":"Token Count","description":"Number of tokens in the analyzed text","example":200,"isRequired":true,"uniqueKey":"metadata.token_count","typeLabel":"integer"},"md5":{"type":"string","title":"MD5","description":"MD5 hash of the analyzed text","example":"ebe5836f4d7dddc3f9a957eff565be21","isRequired":true,"uniqueKey":"metadata.md5","typeLabel":"string"}},"type":"object","required":["word_count","character_count","token_count","md5"],"title":"TextMetadata","isRequired":true,"uniqueKey":"metadata","typeLabel":"TextMetadata · object"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Date and time of request processing","uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"external_id":{"oneOf":[{"type":"string","title":"External Id","description":"The external identifier provided in the request, if any","uniqueKey":"external_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Id","description":"The external identifier provided in the request, if any","uniqueKey":"external_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_id","typeLabel":"string | null"}},"type":"object","required":["id","report","metadata"],"title":"TextReportResponse","uniqueKey":"","typeLabel":"TextReportResponse · object"},"examples":{"Example":{"title":"Example","value":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","report":{"ai_text":{"confidence":0.95,"is_detected":true,"annotations":[["This is the first block of text.",0.9999],["This is the second block of text.",0.0012]]}},"metadata":{"word_count":150,"character_count":750,"token_count":200,"md5":"ebe5836f4d7dddc3f9a957eff565be21"},"created_at":"2023-11-07T05:31:56Z","external_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b5e93ef3-3e32-4a93-bd78-8ba2e65db673":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"type":"array","items":{"properties":{"loc":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"8f53bdc4-2a2d-4be5-a10c-7ae74f5729ff":{"HTTPBearer":{"type":"http","scheme":"bearer","description":"Your [API key](https://www.aiornot.com/dashboard/api) as the `Bearer` token in the `Authorization` header.","scopes":[]}}},"servers":{"98d45776-9916-4ed4-bd03-11383b3069aa":{"url":"https://api.aiornot.com","description":"Production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your [API key](https://www.aiornot.com/dashboard/api) as the `Bearer` token in the `Authorization` header.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your [API key](https://www.aiornot.com/dashboard/api) as the `Bearer` token in the `Authorization` header.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"api-reference/openapi.yaml"},"subdomain":"aiornot-677ee7a7","siteName":"AI or Not API Documentation","title":"Text - AI or Not API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-08T23:08:44.537Z","originalFileLocation":"api-reference/reports-by-modality/text.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Analyze text to determine if it was generated by AI. This endpoint analyzes text content and returns confidence scores for AI detection. Text Processing Limits: - Minimum Text Length: 250 characters - Maximum Text Length: 500,000 characters (500KB) - Minimum Words: Approximately 64 words\">\u003cmeta data-mint-head name=\"application-name\" content=\"AI or Not API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Text - AI or Not API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Analyze text to determine if it was generated by AI. This endpoint analyzes text content and returns confidence scores for AI detection. Text Processing Limits: - Minimum Text Length: 250 characters - Maximum Text Length: 500,000 characters (500KB) - Minimum Words: Approximately 64 words\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"AI or Not API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.aiornot.com/api-reference/reports-by-modality/text\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://aiornot-677ee7a7.mintlify.app/_mintlify/api/og/v2?division=Reports+by+Modality\u0026amp;title=Text\u0026amp;description=Analyze+**text**+to+determine+if+it+was+generated+by+AI.%0A%0AThis+endpoint+analyzes+text+content+and+returns+confidence+scores+for+AI+detection.%0A%0A**Text+Processing\u0026amp;theme=f3f6c73d1f219e9c5bd2d080\u0026amp;signature=28038d078bcc5cc68313798172b1ce821305fdd76962b3fa1fcdb0beb78852d4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Text - AI or Not API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Analyze text to determine if it was generated by AI. This endpoint analyzes text content and returns confidence scores for AI detection. Text Processing Limits: - Minimum Text Length: 250 characters - Maximum Text Length: 500,000 characters (500KB) - Minimum Words: Approximately 64 words\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://aiornot-677ee7a7.mintlify.app/_mintlify/api/og/v2?division=Reports+by+Modality\u0026amp;title=Text\u0026amp;description=Analyze+**text**+to+determine+if+it+was+generated+by+AI.%0A%0AThis+endpoint+analyzes+text+content+and+returns+confidence+scores+for+AI+detection.%0A%0A**Text+Processing\u0026amp;theme=f3f6c73d1f219e9c5bd2d080\u0026amp;signature=28038d078bcc5cc68313798172b1ce821305fdd76962b3fa1fcdb0beb78852d4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/aiornot-677ee7a7/mY6nKaRZ6tGSVsrt/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"AI or Not API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.aiornot.com/api-reference/reports-by-modality/text\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/reports-by-modality/text.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.aiornot.com/#organization\",\"name\":\"AI or Not API Documentation\",\"url\":\"https://docs.aiornot.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/aiornot-677ee7a7/TLiPE1QJOXxnQ_DE/logo/light.svg?fit=max\u0026auto=format\u0026n=TLiPE1QJOXxnQ_DE\u0026q=85\u0026s=5035e3659fc07e474796f5698ac2d0aa\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.aiornot.com#website\",\"name\":\"AI or Not API Documentation\",\"url\":\"https://docs.aiornot.com\",\"publisher\":{\"@id\":\"https://docs.aiornot.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text#webpage\",\"url\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text\",\"name\":\"Text\",\"description\":\"Analyze text to determine if it was generated by AI. This endpoint analyzes text content and returns confidence scores for AI detection. Text Processing Limits: - Minimum Text Length: 250 characters - Maximum Text Length: 500,000 characters (500KB) - Minimum Words: Approximately 64 words\",\"dateModified\":\"2025-10-08T23:08:44.537Z\",\"isPartOf\":{\"@id\":\"https://docs.aiornot.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reports by Modality\",\"item\":\"https://docs.aiornot.com/api-reference/reports-by-modality/image\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Text\",\"item\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text#apireference\",\"headline\":\"Text\",\"name\":\"Text\",\"description\":\"Analyze text to determine if it was generated by AI. This endpoint analyzes text content and returns confidence scores for AI detection. Text Processing Limits: - Minimum Text Length: 250 characters - Maximum Text Length: 500,000 characters (500KB) - Minimum Words: Approximately 64 words\",\"url\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text\",\"mainEntityOfPage\":{\"@id\":\"https://docs.aiornot.com/api-reference/reports-by-modality/text#webpage\"},\"dateModified\":\"2025-10-08T23:08:44.537Z\",\"publisher\":{\"@id\":\"https://docs.aiornot.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.aiornot.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"AI or Not API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"AI or Not API Documentation","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","groups":[{"group":"Reports by Modality","pages":[{"title":"Image","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v2/image/sync","href":"/api-reference/reports-by-modality/image"},{"title":"Audio - Voice","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v1/reports/voice","href":"/api-reference/reports-by-modality/audio--voice"},{"title":"Audio - Music","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v1/reports/music","href":"/api-reference/reports-by-modality/audio--music"},{"title":"Video","description":"Analyze a **video file** to determine if it contains AI-generated content.\n\nThis endpoint analyzes both the video and audio components of the file, providing separate confidence scores for AI-generated video, voice, and music. It can also optionally detect deepfake video content when explicitly requested.\n\n**Caveats**:\n* This endpoint can take up to two minutes for longer video files or if our backend is spinning up additional processing nodes. Please set a 120 second timeout in your client.\n* This endpoint is synchronous and will only analyze a portion of the content for longer duration videos. The response includes the duration tested. For videos longer than 30 seconds, we recommend breaking them into 30-second segments on the client side for complete analysis.\n* Due to a limitation in our document provider, the playground only supports small files of up to 10MB. This limit does not apply when using the API directly.","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v2/video/sync","href":"/api-reference/reports-by-modality/video"},{"title":"Text","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /v2/text/sync","href":"/api-reference/reports-by-modality/text"}]},{"group":"SYSTEM MANAGEMENT","pages":[{"title":"Is Live","description":"Check if the API is live.\n\nThis is useful for diagnosing issues with your integration. Is there a bug on your side, or are we simply down? You should not hit this endpoint very frequently as our system may flag it as abuse.\n\nPlease see also [our status page](https://status.aiornot.com/).","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /v1/system/live","href":"/api-reference/system-management/is-live"}]}]}]},"basePath":"","title":"Text - AI or Not API Documentation","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}